summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-04-29 10:43:09 -0700
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-04-29 10:43:09 -0700
commit528211d1efaa07842b1e278500a8cd11ad4e0cdc (patch)
treed7b45e1f23487eca4740dcda179a0971c41859e4 /src
parent180a85fe42b1b0bb53b1f1554c9447061c6cf806 (diff)
emacs source to tree
Diffstat (limited to 'src')
m---------src/emacs/emacs-source0
-rwxr-xr-xsrc/emacs/setup.sh28
2 files changed, 28 insertions, 0 deletions
diff --git a/src/emacs/emacs-source b/src/emacs/emacs-source
new file mode 160000
+Subproject ee9b2db1cf036d6f511d7e6eea0189073076e7c
diff --git a/src/emacs/setup.sh b/src/emacs/setup.sh
new file mode 100755
index 0000000..e7ca491
--- /dev/null
+++ b/src/emacs/setup.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+EMACSFULL="--with-x-toolkit=gtk3 --disable-build-details --with-cairo \
+ --with-harfbuzz --with-libsystemd=no --with-modules \
+ --with-tree-sitter"
+
+EMACSMIN="--without-all \
+ --with-x-toolkit=no --without-xwidgets --without-x --without-ns --disable-ns-self-contained \
+ --with-xpm=no --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no \
+ --without-internationalization --without-tree-sitter --without-mailutils"
+
+EMACSALWAYS="--with-gnutls --with-file-notification=yes --with-native-compilation=yes --with-zlib=yes"
+
+
+if [[ "$(read -e -p 'Build minimal emacs? [y/N]> '; echo $REPLY)" == [Yy]* ]]; then
+ EMACSOPT="${EMACSMIN} ${EMACSALWAYS}"
+else
+ EMACSOPT="${EMACSFULL} ${EMACSALWAYS}"
+fi
+cd emacs-source
+./autogen.sh
+./configure --prefix="${HOME}/.local" \
+ ${EMACSOPT} \
+ CFLAGS='-O2 -pipe'
+make
+make install